iOS 5 was coming with iPhones in 2011/2012. So it's unlikely to be on an iPhone 6.

What do you want to update to what on what device and why can't you?